Loading...
Searching...
No Matches
BALL::VIEW::AtomOverview Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/atomOverview.h>`

Inheritance diagram for BALL::VIEW::AtomOverview:

## Classes

class | OverviewProcessor
class | ApplyProcessor

## Public Member Functions

Constructors
| AtomOverview (QWidget *parent=NULL, const char *name="AtomOverview")
Destructors
virtual | ~AtomOverview ()
Accessors: inspectors and mutators
void | setParent (AtomContainer *ac)
void | showOnlySelection (bool state)

## Protected slots

AtomContainer * | parent_
OverviewProcessor | processor_
ApplyProcessor | apply_processor_
String | item_backup_
bool | ignore_
bool | only_selection_
virtual void | accept ()
void | itemChanged (QTableWidgetItem *item)
void | itemActivated (QTableWidgetItem *item)
void | restoreItem_ (QTableWidgetItem *item)

## Detailed Description

Dialog for creating labels for a selection of molecular objects. The class MolecularControl is responsible for creating such a selection. The text, color and font of the labels can be changed. If this dialog is used, it should be created with MainControl as parent.

Definition at line 32 of file atomOverview.h.

## Constructor & Destructor Documentation

## AtomOverview()

BALL::VIEW::AtomOverview::AtomOverview | ( | QWidget * | parent = NULL,
|  | const char * | name = "AtomOverview" )

Default Constructor.

Parameters

  parent | the parent widget
  name |

## ~AtomOverview()

virtual BALL::VIEW::AtomOverview::~AtomOverview | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::AtomOverview::accept | ( |  | ) |

protected virtual slot

Indicates the apply button was pressed. Creates a new Representation with the Label and notifies the widgets.

See also
  GeometricCenterProcessor
  RepresentationMessage

## itemActivated

void BALL::VIEW::AtomOverview::itemActivated | ( | QTableWidgetItem * | item | ) |

protected slot

## itemChanged

void BALL::VIEW::AtomOverview::itemChanged | ( | QTableWidgetItem * | item | ) |

protected slot

## restoreItem_()

void BALL::VIEW::AtomOverview::restoreItem_ | ( | QTableWidgetItem * | item | ) |

protected

## setParent()

void BALL::VIEW::AtomOverview::setParent | ( | AtomContainer * | ac | ) |

## showOnlySelection()

void BALL::VIEW::AtomOverview::showOnlySelection | ( | bool | state | ) |

inline

Definition at line 138 of file atomOverview.h.

## Member Data Documentation

## apply_processor_

ApplyProcessor BALL::VIEW::AtomOverview::apply_processor_

protected

Definition at line 163 of file atomOverview.h.

## ignore_

bool BALL::VIEW::AtomOverview::ignore_

protected

Definition at line 165 of file atomOverview.h.

## item_backup_

String BALL::VIEW::AtomOverview::item_backup_

protected

Definition at line 164 of file atomOverview.h.

## only_selection_

bool BALL::VIEW::AtomOverview::only_selection_

protected

Definition at line 166 of file atomOverview.h.

## parent_

AtomContainer* BALL::VIEW::AtomOverview::parent_

protected

Definition at line 161 of file atomOverview.h.

## processor_

OverviewProcessor BALL::VIEW::AtomOverview::processor_

protected

Definition at line 162 of file atomOverview.h.